
/* Copyright (C) 2002-2006 MySQL AB

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */

#ifdef USE_PRAGMA_INTERFACE
#pragma interface			/* gcc class implementation */
#endif

struct patch {
	const char *file;
	const char *name;
	const char *version;
	const char *author;
	const char *license;
	const char *comment;
}patches[] = {
{"show_patches.patch", "SHOW PATCHES", "1.0", "Jeremy Cole", "N/A",""},
{"slow_extended.patch", "Extended statistics in slow.log (not InnoDB part)", "1.3", "Percona <info@percona.com>", "GPL",""},
{"profiling_slow.info", "profiling from SHOW PROFILE to slow.log", "1.0", "Percona <info@percona.com>", "GPL",""},
{"microsec_process.patch", "Adds INFOMATION_SCHEMA.PROCESSLIST with TIME_MS column", "1.0", "Percona <info@percona.com>", "GPL",""},
{"userstats.patch", "SHOW USER/TABLE/INDEX statistics", "V2", "Google", "GPL","Added INFORMATION_SCHEMA.*_STATISTICS"},
{"optimizer_fix.patch", "Unofficial optimizer fixes", "1.0", "Percona <info@percona.com>", "GPL",""},
{"query_cache_enhance.patch", "query cache Percona's cumulative patch", "1.0", "Percona <info@percona.com>", "GPL","1) Add new status - Waiting on query cache mutex (status_wait_query_cache_mutex.patch)"},
{"log_connection_error.patch", "logging abandoned connections", "1.0", "Percona <info@percona.com>", "GPL",""},
{"response-time-distribution.patch", "Response time distribution", "1.0", "Percona <info@percona.com>", "GPL",""},
{"remove_fcntl_excessive_calls.patch", "remove fcntl excessive calls", "1.0", "This is a port of the official fix.", "GPL",""},
{"sql_no_fcache.patch", "Support for flashcache including the SQL_NO_FCACHE option that prevents blocks from being cached during a query.", "1.0", "Facebook", "GPL",""},
{"show_slave_status_nolock.patch", "SHOW SLAVE STATUS NOLOCK", "1.0", "Percona <info@percona.com>", "GPL","Implement SHOW SLAVE STATUS without lock (STOP SLAVE lock the same mutex what lock SHOW SLAVE STATUS)"},
{"mysql_remove_eol_carret.patch", "", "1.1", "Percona <info@percona.com>", "GPL","Do not remove carret before eol if --no-remove-eol-carret is enabled in MySQL client."},

{NULL, NULL, NULL, NULL, NULL, NULL}
};	

